Get
curl --request POST \
--url https://{host}/Agent/Intelligence/Get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endpoint": "<string>",
"vector": "<string>",
"protocol": "<string>",
"classification": "<string>",
"code": "<string>",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"offset": 1,
"maxCount": 99
}
'import requests
url = "https://{host}/Agent/Intelligence/Get"
payload = {
"endpoint": "<string>",
"vector": "<string>",
"protocol": "<string>",
"classification": "<string>",
"code": "<string>",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"offset": 1,
"maxCount": 99
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
endpoint: '<string>',
vector: '<string>',
protocol: '<string>',
classification: '<string>',
code: '<string>',
from: '2023-11-07T05:31:56Z',
to: '2023-11-07T05:31:56Z',
offset: 1,
maxCount: 99
})
};
fetch('https://{host}/Agent/Intelligence/Get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ResultSet": [
{
"objectId": "<string>",
"endpoint": "<string>",
"timestamp": {},
"expires": {},
"domain": "<string>",
"vector": "<string>",
"protocol": "<string>",
"classification": "<string>",
"code": "<string>",
"message": "<string>",
"Tags": [
{
"name": "<string>",
"value": {},
"type": "<string>"
}
],
"AgentInformation": [
{
"name": "<string>",
"value": "<string>"
}
]
}
]
}Open intelligence
Get
Allows the client to get open intelligence based on input search parameters.
POST
/
Agent
/
Intelligence
/
Get
Get
Overview
Allows the client to get open intelligence based on input search parameters. You can search on endpoint, vector, protocol, classification, code or time interval. You can leave input fields empty. Only fields with non-empty values will restrict the result set in the search. Use the offset and max count arguments to implement pagination.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Success
Show child attributes
Show child attributes
⌘I